<template>
    <div class="content-wrapper">
        <header>
            <slot name="pageHeader"></slot>
        </header>
        <section class="main-content">
            <slot>CONTENT COMES HERE</slot>
        </section>
    </div>
</template>

<style scoped>
header {
    @apply flex justify-between items-center min-w-full min-h-12;
    @apply font-semibold;
    @apply text-slate-800 dark:text-slate-100;
    @apply bg-indigo-50 dark:bg-indigo-700;
    @apply py-2 pl-3 pr-4;
    @apply rounded-t-xl rounded-b-none;
}

.content-wrapper {
    @apply mx-auto my-6 border rounded-xl shadow-xl min-h-40 sm:w-5/6;
}

.main-content {
    @apply p-2 m-2;
}
</style>
